Đồng ý tuỳ chỉnh giá phí sản phẩm
curl --request PUT \
--url https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept \
--header 'X-Tenant: <api-key>'const options = {method: 'PUT', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept"
headers = {"X-Tenant": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept")
.header("X-Tenant", "<api-key>")
.asString();{
"code": "<string>",
"count": 123,
"error": true,
"message": "<string>",
"result": {
"address": {
"addressText2": {
"city": "New York",
"state": "NY",
"zip": "10001",
"country": "US",
"details": "123 Main St"
},
"city": "<string>",
"country": "<string>",
"details": "<string>",
"state": "<string>",
"zip": "<string>",
"iossCode": "IM3720000222"
},
"amount": 123,
"amountCustomerDebit": 123,
"amountCustomerPayed": 123,
"amountCustomerRefunded": 123,
"amountDiscount": 123,
"code": "<string>",
"completedTime": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"createdMode": "API",
"customerCode": "<string>",
"customerDisplayStatus": "CANCEL",
"customerDisplayStatusName": "<string>",
"customerEmail": "<string>",
"customerName": "<string>",
"customerNote": "<string>",
"customerPhone": "<string>",
"customerUsername": "<string>",
"deliveryInformation": {},
"depositedAmountProduct": true,
"depositedDate": "2023-11-07T05:31:56Z",
"designFailed": {
"failed": true,
"lastUpdatedBy": "<string>",
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"feePriceConfirm": {
"amountDelta": 123,
"histories": [
{
"action": "<string>",
"amountDelta": 123,
"createdBy": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"note": "<string>",
"pendingFees": [
{
"customPrice": true,
"feeCode": "<string>",
"feeName": "<string>",
"previousCustomPrice": true,
"previousUse": true,
"previousValue": 123,
"previousValueCustomPrice": 123,
"productCode": "<string>",
"valueCustomPrice": 123
}
],
"status": "<string>"
}
],
"lastUpdatedBy": "<string>",
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"note": "<string>",
"pending": true,
"pendingFees": [
{
"customPrice": true,
"feeCode": "<string>",
"feeName": "<string>",
"previousCustomPrice": true,
"previousUse": true,
"previousValue": 123,
"previousValueCustomPrice": 123,
"productCode": "<string>",
"valueCustomPrice": 123
}
],
"status": "<string>"
},
"fees": [
{
"code": "<string>",
"name": "<string>",
"value": 123
}
],
"id": "<string>",
"products": [
{
"orderCode": "<string>",
"productCode": "<string>",
"quantity": 2,
"category": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"cmsNote": "<string>",
"code": "<string>",
"color": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"createdBy": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"designAttachmentHistories": [
{
"action": "CREATE",
"attachmentIndex": 123,
"changeType": "<string>",
"changedBy": "<string>",
"changedByName": "<string>",
"changedDate": "2023-11-07T05:31:56Z",
"newValue": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"note": "<string>",
"oldValue": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"positionName": "<string>"
}
],
"designAttachments": [
{
"design": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"dstFile": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"fabricPatterns": [
{
"categories": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"code": "<string>",
"description": "<string>",
"id": "<string>",
"image": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"stitchCount": 123,
"threadColorCount": 123,
"url": "<string>"
},
"name": "<string>",
"orderNo": 123,
"sku": "<string>",
"status": "DISABLED",
"thumbnailUrl": "<string>"
}
],
"glitterColors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"mockup": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"note": "<string>",
"position": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"stitchCount": 123,
"threadColorCount": 123,
"threadColors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"yarnColors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
]
}
],
"fabric": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"fees": [
{
"code": "<string>",
"name": "<string>",
"value": 123
}
],
"hsCode": "<string>",
"hsName": "<string>",
"id": "<string>",
"lastModifiedBy": "<string>",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"mockupImage": "<string>",
"mPid": "B0XXXXXXX",
"name": "<string>",
"position": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"productType": "EMBROIDERY",
"sku": "<string>",
"sleeveNumber": 123,
"tenant": "<string>",
"textSearch": "<string>"
}
],
"reasonCancel": "<string>",
"receivedDate": "2023-11-07T05:31:56Z",
"recipient": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"note": "<string>",
"phone": "<string>"
},
"referenceCode": "<string>",
"shippingLabel": {
"needScanLabel": false,
"contentType": "<string>",
"labelScanned": true,
"labelUrl": "<string>",
"labelUrlTiktok": "<string>",
"providerCode": "<string>",
"trackingNumber": "<string>",
"trackingNumberByTiktok": "<string>",
"type": "PARTNER"
},
"shippingMethod": "HOGOTOFAST",
"status": "CANCEL",
"totalFee": 123,
"totalQuantity": 123,
"totalWeight": 123,
"vip": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
},
"showMessage": true
}Partner Orders
Đồng ý tuỳ chỉnh giá phí sản phẩm
Đồng ý báo giá / tuỳ chỉnh phí đang chờ xác nhận (feePriceConfirm.status = SENT).
PUT
/
v1
/
partner
/
order
/
{orderCode}
/
fee-price-confirm
/
accept
Đồng ý tuỳ chỉnh giá phí sản phẩm
curl --request PUT \
--url https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept \
--header 'X-Tenant: <api-key>'const options = {method: 'PUT', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept"
headers = {"X-Tenant": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://seller.hogotopod.com/api/v1/partner/order/{orderCode}/fee-price-confirm/accept")
.header("X-Tenant", "<api-key>")
.asString();{
"code": "<string>",
"count": 123,
"error": true,
"message": "<string>",
"result": {
"address": {
"addressText2": {
"city": "New York",
"state": "NY",
"zip": "10001",
"country": "US",
"details": "123 Main St"
},
"city": "<string>",
"country": "<string>",
"details": "<string>",
"state": "<string>",
"zip": "<string>",
"iossCode": "IM3720000222"
},
"amount": 123,
"amountCustomerDebit": 123,
"amountCustomerPayed": 123,
"amountCustomerRefunded": 123,
"amountDiscount": 123,
"code": "<string>",
"completedTime": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"createdMode": "API",
"customerCode": "<string>",
"customerDisplayStatus": "CANCEL",
"customerDisplayStatusName": "<string>",
"customerEmail": "<string>",
"customerName": "<string>",
"customerNote": "<string>",
"customerPhone": "<string>",
"customerUsername": "<string>",
"deliveryInformation": {},
"depositedAmountProduct": true,
"depositedDate": "2023-11-07T05:31:56Z",
"designFailed": {
"failed": true,
"lastUpdatedBy": "<string>",
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"feePriceConfirm": {
"amountDelta": 123,
"histories": [
{
"action": "<string>",
"amountDelta": 123,
"createdBy": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"note": "<string>",
"pendingFees": [
{
"customPrice": true,
"feeCode": "<string>",
"feeName": "<string>",
"previousCustomPrice": true,
"previousUse": true,
"previousValue": 123,
"previousValueCustomPrice": 123,
"productCode": "<string>",
"valueCustomPrice": 123
}
],
"status": "<string>"
}
],
"lastUpdatedBy": "<string>",
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"note": "<string>",
"pending": true,
"pendingFees": [
{
"customPrice": true,
"feeCode": "<string>",
"feeName": "<string>",
"previousCustomPrice": true,
"previousUse": true,
"previousValue": 123,
"previousValueCustomPrice": 123,
"productCode": "<string>",
"valueCustomPrice": 123
}
],
"status": "<string>"
},
"fees": [
{
"code": "<string>",
"name": "<string>",
"value": 123
}
],
"id": "<string>",
"products": [
{
"orderCode": "<string>",
"productCode": "<string>",
"quantity": 2,
"category": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"cmsNote": "<string>",
"code": "<string>",
"color": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"createdBy": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"designAttachmentHistories": [
{
"action": "CREATE",
"attachmentIndex": 123,
"changeType": "<string>",
"changedBy": "<string>",
"changedByName": "<string>",
"changedDate": "2023-11-07T05:31:56Z",
"newValue": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"note": "<string>",
"oldValue": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"positionName": "<string>"
}
],
"designAttachments": [
{
"design": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"dstFile": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"fabricPatterns": [
{
"categories": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"code": "<string>",
"description": "<string>",
"id": "<string>",
"image": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"stitchCount": 123,
"threadColorCount": 123,
"url": "<string>"
},
"name": "<string>",
"orderNo": 123,
"sku": "<string>",
"status": "DISABLED",
"thumbnailUrl": "<string>"
}
],
"glitterColors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"mockup": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"url": "<string>"
},
"note": "<string>",
"position": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"stitchCount": 123,
"threadColorCount": 123,
"threadColors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"yarnColors": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
]
}
],
"fabric": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"fees": [
{
"code": "<string>",
"name": "<string>",
"value": 123
}
],
"hsCode": "<string>",
"hsName": "<string>",
"id": "<string>",
"lastModifiedBy": "<string>",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"mockupImage": "<string>",
"mPid": "B0XXXXXXX",
"name": "<string>",
"position": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
},
"productType": "EMBROIDERY",
"sku": "<string>",
"sleeveNumber": 123,
"tenant": "<string>",
"textSearch": "<string>"
}
],
"reasonCancel": "<string>",
"receivedDate": "2023-11-07T05:31:56Z",
"recipient": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"note": "<string>",
"phone": "<string>"
},
"referenceCode": "<string>",
"shippingLabel": {
"needScanLabel": false,
"contentType": "<string>",
"labelScanned": true,
"labelUrl": "<string>",
"labelUrlTiktok": "<string>",
"providerCode": "<string>",
"trackingNumber": "<string>",
"trackingNumberByTiktok": "<string>",
"type": "PARTNER"
},
"shippingMethod": "HOGOTOFAST",
"status": "CANCEL",
"totalFee": 123,
"totalQuantity": 123,
"totalWeight": 123,
"vip": {
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
},
"showMessage": true
}Authorizations
X-TenantX-API-Key
Path Parameters
Mã đơn hàng